[Distutils] bdist_deb (was: Extending distutils with 3rd party build commands?)

Jeff Dairiki dairiki at gmail.com
Mon Oct 25 17:03:37 CEST 2004

Marc-Andre wrote:
> The only thing to remember is that the patch will have
> to be Python 2.1 compatible.

Comments in the source code for, e.g. bdist_rpm suggest that things
should remain compatible with Python 1.5.  Is that right, or is
1.5 no longer supported?

Alexandre wrote:
> You may want to ask some feedback on debian-python at debian.org too. 

Okay.  I'll get the patch together and posted (hopefully by sometime tomorrow),
so that it's available for perusal, then I'll post a note on debian-python.

I've been pretty careful about reading and obeying debian-policy and
and have been running the bdist_deb generated packages through lintian
for testing.

Thanks for the comments!


More information about the Distutils-SIG mailing list